m4d_spa 0.1.2

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 15

Material 4 Dart - SinglePage-Components #

Examples #

GitHub

Change Log for m4d_spa #

Material Design 4 Dart - SinglePage

v0.1 - 2018-11-22

Docs #

This CHANGELOG.md was generated with Changelog for Dart

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  m4d_spa: ^0.1.2

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:m4d_spa/m4d_spa.dart';
  
Version Uploaded Documentation Archive
0.1.12 Dec 19, 2018 Go to the documentation of m4d_spa 0.1.12 Download m4d_spa 0.1.12 archive
0.1.10 Dec 6, 2018 Go to the documentation of m4d_spa 0.1.10 Download m4d_spa 0.1.10 archive
0.1.6 Dec 5, 2018 Go to the documentation of m4d_spa 0.1.6 Download m4d_spa 0.1.6 archive
0.1.2 Nov 22, 2018 Go to the documentation of m4d_spa 0.1.2 Download m4d_spa 0.1.2 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
10
Health:
Code health derived from static analysis. [more]
0
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
50
Overall:
Weighted score of the above. [more]
15
Learn more about scoring.

We analyzed this package on May 23, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.1
  • pana: 0.12.16

Platforms

Detected platforms:

Error(s) prevent platform classification:

Error(s) in lib/m4d_spa.dart: Classes can only extend other classes.

Health issues and suggestions

Fix lib/m4d_spa.dart. (-44.03 points)

Analysis of lib/m4d_spa.dart failed with 2 errors, 1 hint:

line 58 col 25: Classes can only extend other classes.

line 58 col 25: Undefined class 'ioc.IOCModule'.

line 61 col 5: Method doesn't override an inherited method.

Fix lib/spa/components/MaterialContent.dart. (-44.03 points)

Analysis of lib/spa/components/MaterialContent.dart failed with 2 errors, 1 hint:

line 72 col 69: Undefined class 'ioc.IOCContainer'.

line 115 col 81: Undefined class 'ioc.IOCContainer'.

line 73 col 39: Use ; instead of {} for empty constructor bodies.

Fix lib/spa/components/MaterialInclude.dart. (-43.75 points)

Analysis of lib/spa/components/MaterialInclude.dart failed with 2 errors:

line 38 col 69: Undefined class 'ioc.IOCContainer'.

line 107 col 81: Undefined class 'ioc.IOCContainer'.

Fix lib/spa/MaterialContoller.dart. (-25 points)

Analysis of lib/spa/MaterialContoller.dart failed with 1 error:

line 24 col 5: Undefined class 'ioc.IOCContainer'.

Fix lib/spa/ViewFactory.dart. (-1 points)

Analysis of lib/spa/ViewFactory.dart reported 2 hints:

line 22 col 1: Prefer using /// for doc comments.

line 51 col 107: Use = to separate a named parameter from its default value.

Maintenance issues and suggestions

Fix platform conflicts. (-20 points)

Error(s) prevent platform classification:

Error(s) in lib/m4d_spa.dart: Classes can only extend other classes.

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and m4d_spa.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
console_log_handler ^1.0.0 1.1.6
dnd ^1.0.0 1.4.2
logging >=0.11.3 <1.0.0 0.11.3+2
m4d_components >=0.1.0 <1.0.0 0.1.31
m4d_core >=0.1.0 <1.0.0 0.2.21
m4d_flux >=0.1.0 <1.0.0 0.1.0
m4d_router >=0.1.0 <1.0.0 0.2.18
m4d_template >=0.1.0 <1.0.0 0.2.9
validate ^1.0.0 1.7.0
Transitive dependencies
analyzer 0.36.3
ansicolor 1.0.2
args 1.5.1
async 2.2.0
build_cli_annotations 1.1.0
charcode 1.1.2
collection 1.14.11
convert 2.1.1
crypto 2.0.6
csslib 0.16.0
dart_style 1.2.7
front_end 0.1.18
glob 1.1.7
html 0.14.0+2
intl 0.15.8
intl_translation 0.17.4
kernel 0.3.18
l10n 2.0.19
m4d_directive 0.1.16
matcher 0.12.5
meta 1.1.7
optional 3.0.2
package_config 1.0.5
path 1.6.2
petitparser 2.3.0
platform_detect 1.3.5
pub_semver 1.4.2
quiver 2.0.3
source_span 1.5.5
stack_trace 1.9.3
string_scanner 1.0.4
term_glyph 1.1.0
typed_data 1.1.6
uri 0.11.3+1
utf 0.9.0+5
watcher 0.9.7+10
where 4.4.0 6.3.0
yaml 2.1.15
Dev dependencies
build_runner any
build_test any
build_web_compilers any
test any